Request A Resource Loan
curl --request POST \
--url https://api.thefaithapp.com/v1/community/resources/{resource}/loans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"private_note": "Needed for a family visit next weekend."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({private_note: 'Needed for a family visit next weekend.'})
};
fetch('https://api.thefaithapp.com/v1/community/resources/{resource}/loans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/resources/{resource}/loans"
payload = { "private_note": "Needed for a family visit next weekend." }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"loan": {
"id": 511,
"status": "requested",
"private_note": "Needed for a family visit next weekend.",
"requested_at": "2026-07-18T09:30:00.000000Z",
"checked_out_at": null,
"due_at": null,
"returned_at": null,
"chat_channel_id": null,
"resource": {
"id": 206,
"type": "lending_item",
"title": "Folding wheelchair",
"description": "A lightweight folding wheelchair available for short-term use.",
"condition": "good",
"status": "available",
"default_loan_days": 14,
"approximate_area": "Central Campus",
"is_owner": false,
"managed_by": "member",
"created_at": "2026-07-18T09:30:00.000000Z"
}
}
}
}Resource Sharing
Request A Resource Loan
Requests to borrow an available shared resource. Repeated active requests are idempotent.
POST
/
v1
/
community
/
resources
/
{resource}
/
loans
Request A Resource Loan
curl --request POST \
--url https://api.thefaithapp.com/v1/community/resources/{resource}/loans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"private_note": "Needed for a family visit next weekend."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({private_note: 'Needed for a family visit next weekend.'})
};
fetch('https://api.thefaithapp.com/v1/community/resources/{resource}/loans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/resources/{resource}/loans"
payload = { "private_note": "Needed for a family visit next weekend." }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"loan": {
"id": 511,
"status": "requested",
"private_note": "Needed for a family visit next weekend.",
"requested_at": "2026-07-18T09:30:00.000000Z",
"checked_out_at": null,
"due_at": null,
"returned_at": null,
"chat_channel_id": null,
"resource": {
"id": 206,
"type": "lending_item",
"title": "Folding wheelchair",
"description": "A lightweight folding wheelchair available for short-term use.",
"condition": "good",
"status": "available",
"default_loan_days": 14,
"approximate_area": "Central Campus",
"is_owner": false,
"managed_by": "member",
"created_at": "2026-07-18T09:30:00.000000Z"
}
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Shared resource identifier.
Required range:
x >= 1Body
application/json
Maximum string length:
500Was this page helpful?